Bug 1017669 - [fork][origin_ui_82]Don't have deployment command info in the help of rhc
[fork][origin_ui_82]Don't have deployment command info in the help of rhc
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 06:17 EDT by Wei Sun
Modified: 2015-05-14 22:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: fork_ami_origin_ui_82_897
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:34:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-10-10 06:17:45 EDT
Description of problem:
Check rhc help info ,but don't have deployment(deployment-show/deployment-list/deployment-activate) commands info in the help.

Version-Release number of selected component (if applicable):
rhc build from fork_ami_origin_ui_82_894
fork_ami_origin_ui_82_894

How reproducible:
Always

Steps to Reproduce:
1.Run rhc -h
2.Run rhc deployment -h
3.

Actual results:
1.[wsun@dhcp-8-229 ~]$ rhc -h
Usage: rhc [--help] [--version] [--debug] <command> [<args>]
Command line interface for OpenShift.
Getting started:
  setup              Connects to OpenShift and sets up your keys and domain
  create-app         Create an application
  apps               List all your applications
  cartridges         List available cartridges
  add-cartridge      Add a cartridge to your application
  set-env            Set one or more environment variable(s) to your application
  logout             End the current session
Working with apps:
  tail               Tail the logs of an application
  port-forward       Forward remote ports to the workstation
  threaddump         Trigger a thread dump for JBoss and Ruby apps
  snapshot           Save the current state of your application locally
  git-clone          Clone and configure an application's repository locally
Management commands:
  account            Display details about your OpenShift account
  alias              Add or remove a custom domain name for an app
  app                Commands for creating and managing applications
  authorization      Show the authorization tokens for your account
  cartridge          Manage your application cartridges
  domain             Add or rename the container for your apps
  env                Manages user-defined environment variables set on a given application
  member             Manage membership on domains
  server             Display information about the status of the OpenShift service.
  ssh                SSH into the specified application
  sshkey             Add and remove keys for Git and SSH
  Some management commands have nested actions - run 'rhc help <command>' for more info.
See 'rhc help <command>' for more information on a specific command.  You can see a list of all commands with 'rhc help commands'. See 'rhc help
options' for a list of global command-line options and information about the config file.

2.[wsun@dhcp-8-229 ~]$ rhc deployment -h
Showing commands matching 'deployment'
deployment-show (also 'show-deployment', 'deployment show')
-----------------------------------------------------------
Display details of the given deployment id.
deployment-list (also 'deployments', 'list-deployment', 'deployment list')
--------------------------------------------------------------------------
List all existing deployments of a given application. Check the 'rhc configure-app' command to configure how many deployments are preserved in
history.
deployment-activate (also 'activate-deployment', 'deployment activate')
-----------------------------------------------------------------------
Switch between existing deployments. This command allows you to rollback from one deployment to a previous one or activate subsequent deployments.
Check the 'rhc configure-app' command to configure how many deployments are preserved in history.

Expected results:
Should have deployment commands info(deployment-show/deployment-list/deployment-activate) in the help of rhc
Comment 1 Fabiano Franz 2013-10-11 10:19:43 EDT
fork_ami_origin_ui_82_897
Comment 2 Xiaoli Tian 2013-10-12 05:57:04 EDT
Verified it with rhc built from fork_ami_origin_ui_82_897
 #rhc --help|grep deployment
  deployment       Commands for deploying and managing deployments of an application

# rhc help deployment
Usage: rhc deployment <action>

By default OpenShift applications prepare, distribute and activate deployments on every git push. Alternatively, an user may choose to disable automatic deployments and use this 'rhc deployment' set of commands
to fully control the deployment lifecycle. Use these commands to deploy manually from a git reference or from a binary file, list and display deployments and also activate existing deployments. Check also 'rhc
configure-app' to configure your application to deploy manually.

List of Actions
  activate      Activate an existing deployment
  list          List the existing deployments of an application
  show          Show details of the given deployment

# rhc deploy [tab]
deploy      deploy-app           deployment           deployment-activate  deployment-list      deployments          deployment-show 

# rhc help app |grep deploy
  deploy        Deploy a git reference or binary file on an application

Note You need to log in before you can comment on or make changes to this bug.